## skytools3 3.1.5

=== Makefile ===

AM_CPPFLAGS = -I$(builddir) -I$(srcdir)

# main target
lib_LTLIBRARIES = libusual.la

# sources that are not always built
EXTRA_libusual_la_SOURCES = usual/pgsocket.h usual/pgsocket.c

# sources not in tar.gz
nodist_libusual_la_SOURCES = usual/config.h

# regular source files
libusual_la_SOURCES = usual/config.h.in \
	usual/aatree.h usual/aatree.c \
	usual/base.h usual/base.c usual/base_win32.h \
	usual/bits.h \
	usual/cbtree.h usual/cbtree.c \
	usual/cfparser.h usual/cfparser.c \
	usual/crc32.h usual/crc32.c \
	usual/ctype.h \
	usual/cxalloc.h usual/cxalloc.c \
	usual/cxextra.h usual/cxextra.c \
	usual/daemon.h usual/daemon.c \
	usual/endian.h \
	usual/err.h usual/err.c \
	usual/event.h usual/event.c \
	usual/fileutil.h usual/fileutil.c \
	usual/getopt.h usual/getopt.c \
	usual/hashtab-impl.h \
	usual/heap.h usual/heap.c \
	usual/hmac.h usual/hmac.c \
	usual/list.h usual/list.c \
	usual/logging.h usual/logging.c \
	usual/lookup3.h usual/lookup3.c \
	usual/mbuf.h usual/mbuf.c \
	usual/md5.h usual/md5.c \
	usual/mdict.h usual/mdict.c \
	usual/mempool.h usual/mempool.c \
	usual/misc.h \
	usual/netdb.h usual/netdb.c \
	usual/pgutil.h usual/pgutil.c usual/pgutil_kwlookup.h \
	usual/pthread.h usual/pthread.c \
	usual/regex.h usual/regex.c \
	usual/safeio.h usual/safeio.c \
	usual/sha1.h usual/sha1.c \
	usual/shlist.h \
	usual/signal.h usual/signal.c \
	usual/slab.h usual/slab.c \
	usual/socket.h usual/socket.c usual/socket_ntop.c usual/socket_pton.c usual/socket_win32.h \
	usual/statlist.h \
	usual/string.h usual/string.c \
	usual/strpool.h usual/strpool.c \
	usual/time.h usual/time.c \
	usual/utf8.h usual/utf8.c

# we want to filter headers, so cannot use usual install method via _HEADERS
USUAL_HEADERS = $(filter %.h,$(libusual_la_SOURCES) $(nodist_libusual_la_SOURCES))

# define aclocal destination
aclocaldir = ${datarootdir}/aclocal
AM_DESTINATIONS = aclocal

# other files
dist_pkgdata_SCRIPTS = find_modules.sh
dist_pkgdata_DATA = Setup.mk
dist_aclocal_DATA = m4/usual.m4 m4/antimake.m4

# test program for link-test
noinst_PROGRAMS = test/compile
test_compile_SOURCES = test/compile.c
test_compile_LDADD = libusual.la

# extra clean files
DISTCLEANFILES = config.log build.mk config.status libtool config.mak
MAINTAINERCLEANFILES = build.mk.in configure install-sh ltmain.sh config.sub config.guess

# files for .tgz that are not mentioned in sources
EXTRA_DIST = $(MAINTAINERCLEANFILES)

# we dont build test subdir by default, but want to include in .tgz
DIST_SUBDIRS = test

# non-recursive subdir
EMBED_SUBDIRS = mk

#
# Launch Antimake
#
include build.mk

# filter headers when installing
install-local:
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual
	@for hdr in $(USUAL_HEADERS); do \
		echo Filtering $$hdr; \
		$(SED) -f mk/safe-headers.sed $$hdr \
		> $(DESTDIR)$(includedir)/usual/`basename $$hdr`; \
	done

# Give proper error message
build.mk:
	@echo "Please run ./configure first"
	@exit 1

%.pc: %.pc.in config.status
	./config.status --file $@

# run sparse over code
sparse: config.mak
	REAL_CC="$(CC)" \
	$(MAKE) clean libusual.a CC="cgcc -Wsparse-all -Wno-transparent-union"

# generate api documentation
dox:
	rm -rf doc/html/mk
	#rm -rf mk/temos/html
	doxygen doc/Doxyfile
	$(MAKE) -C mk/temos html
	cp -rp mk/temos/html doc/html/mk

#
# rest is for pgutil_kwlookup generation
#

PG_CONFIG ?= pg_config
KWLIST = $(shell $(PG_CONFIG) --includedir-server)/parser/kwlist.h
GPERF = gperf -m5

# requires 8.4+
kws:
	@test -f "$(KWLIST)" || { echo "kwlist.h not found"; exit 1; }
	grep '^PG_KEYWORD' "$(KWLIST)" \
	| grep -v UNRESERVED \
	| sed 's/.*"\(.*\)",.*, *\(.*\)[)].*/\1/' \
	>> usual/pgutil_kwlookup.gp

kwh:
	$(GPERF) usual/pgutil_kwlookup.g \
	| sed '/^#line/d' \
	> usual/pgutil_kwlookup.h

=== test/Makefile ===

AM_FEATURES = libusual

SUBLOC = test
DIST_SUBDIRS = attregex

USUAL_DIR = $(abs_top_srcdir)

regtest_system_SOURCES = \
	test_string.c test_crypto.c test_aatree.c test_heap.c \
	test_common.c test_list.c tinytest.c test_cbtree.c \
	test_utf8.c test_strpool.c test_pgutil.c test_regex.c \
	test_cxalloc.c test_bits.c test_base.c test_netdb.c \
	test_cfparser.c test_endian.c test_hashtab.c test_mdict.c \
	test_shlist.c test_time.c test_hashing.c test_fileutil.c \
	test_socket.c test_getopt.c test_ctype.c \
	test_common.h tinytest.h tinytest_macros.h

regtest_compat_SOURCES := $(regtest_system_SOURCES)
nodist_regtest_compat_SOURCES = test_config.h

regtest_compat_EMBED_LIBUSUAL = 1
regtest_system_EMBED_LIBUSUAL = 1

regtest_system_LDADD = -lanl
regtest_system_LDFLAGS = -pthread

regtest_system_CPPFLAGS = -I.. -I.
regtest_compat_CPPFLAGS := $(regtest_system_CPPFLAGS) -DUSUAL_TEST_CONFIG
regtest_compat_LDFLAGS = -pthread

EXTRA_DIST = Makefile tinytest_demo.c force_compat.sed test_cfparser.ini

noinst_PROGRAMS = regtest_system regtest_compat

include ../build.mk

test_config.h: force_compat.sed ../usual/config.h
	$(E) "	GEN-COMPAT" $@
	$(Q) sed -f $^ > $@

=== sql/londiste/Makefile ===

EXTENSION = londiste

EXT_VERSION = 3.1.4
EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.3

base_regress = londiste_provider londiste_subscriber \
	       londiste_fkeys londiste_execute londiste_seqs londiste_merge \
	       londiste_leaf londiste_create_part

Contrib_regress = init_noext $(base_regress)
Extension_regress = init_ext $(base_regress)

include ../common-pgxs.mk

dox: cleandox
	mkdir -p docs/html
	mkdir -p docs/sql
	$(CATSQL) --ndoc structure/tables.sql > docs/sql/schema.sql
	$(CATSQL) --ndoc structure/functions.sql > docs/sql/functions.sql
	$(NDOC) $(NDOCARGS)

=== sql/pgq/Makefile ===

EXTENSION = pgq

EXT_VERSION = 3.1.3
EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.2

DOCS = README.pgq

PGQ_TESTS = pgq_core pgq_perms logutriga sqltriga $(trunc_test)

# comment it out if not wanted
UPGRADE_TESTS = pgq_init_upgrade $(PGQ_TESTS) clean

Contrib_data = structure/uninstall_pgq.sql

Contrib_regress   = $(UPGRADE_TESTS) pgq_init_noext $(PGQ_TESTS)
Extension_regress = $(UPGRADE_TESTS) pgq_init_ext $(PGQ_TESTS)

# MAJORVERSION was defined in 8.4
trunc_test = $(if $(MAJORVERSION),trunctrg)

include ../common-pgxs.mk

SUBDIRS = lowlevel triggers

# PGXS does not have subdir support, thus hack to recurse into lowlevel/
all: sub-all
install: sub-install
clean: sub-clean
distclean: sub-distclean
sub-all sub-install sub-clean sub-distclean:
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $(subst sub-,,$@) \
			DESTDIR=$(DESTDIR) \
			PG_CONFIG=$(PG_CONFIG) \
		|| exit 1; \
	done

lowlevel/pgq_lowlevel.sql: sub-all
triggers/pgq_triggers.sql: sub-all

#
# docs
#
dox: cleandox $(SRCS)
	mkdir -p docs/html
	mkdir -p docs/sql
	$(CATSQL) --ndoc structure/tables.sql > docs/sql/schema.sql
	$(CATSQL) --ndoc structure/func_public.sql > docs/sql/external.sql
	$(CATSQL) --ndoc structure/func_internal.sql > docs/sql/internal.sql
	$(CATSQL) --ndoc structure/triggers.sql > docs/sql/triggers.sql
	$(NDOC) $(NDOCARGS)

doxsync:
	for m in pgq_coop pgq_node pgq_ext londiste; do \
		cp docs/Topics.txt docs/Languages.txt ../$$m/docs; \
	done

=== sql/pgq_node/Makefile ===

EXTENSION = pgq_node

EXT_VERSION = 3.1.3
EXT_OLD_VERSIONS = 3.1

Extension_regress = pgq_node_init_ext   pgq_node_test
Contrib_regress   = pgq_node_init_noext pgq_node_test

include ../common-pgxs.mk

#
# docs
#

dox: cleandox $(SRCS)
	mkdir -p docs/html
	mkdir -p docs/sql
	$(CATSQL) --ndoc structure/tables.sql > docs/sql/pgq_node.sql
	$(CATSQL) --ndoc structure/functions.sql > docs/sql/functions.sql
	$(NDOC) $(NDOCARGS)

=== debian/changelog ===
skytools3 (3.1.5-1.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-skytools3-source-distribution=sid-10,
    apt-get revision sid)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 26 Feb 2014 22:48:15 +0100

skytools3 (3.1.5-1) unstable; urgency=medium

  * New upstream version.
  * Include orig-lib.tar.gz for the libusual submodule.
  * Add watch file.
  * Point Vcs at packaging git on git.d.o.
  * Add "9.3" in debian/pgversions.
  * Correctly remove alternatives on remove, spotted by Andreas Beckmann.
    (Closes: #700706)
  * Run installcheck using autopkgtest (needs trust auth).
    + Accept alternative londiste_provider result (- vs %2d).

 -- Christoph Berg <myon@debian.org>  Wed, 26 Feb 2014 21:05:32 +0100

=== debian/control ===
Source: skytools3
Section: database
Priority: extra
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, autoconf (>= 2.65), automake, libtool, libevent-dev,
  python-all-dev, python-support, python-psycopg2, xmlto, asciidoc, libpq-dev, postgresql-server-dev-all
Standards-Version: 3.9.5
Homepage: http://wiki.postgresql.org/wiki/Skytools
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/skytools3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/skytools3.git
XS-Testsuite: autopkgtest

Package: skytools3
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, python-pgq3, adduser
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is a package of tools in use in Skype for replication and failover. It
 contains the Londiste and PGQ services and scripts to run.

Package: python-pgq3
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-skytools3, python-psycopg2
Description: python framework for Skype tools for PostgreSQL replication
 This is a package of tools in use in Skype for replication and failover.
 It includes a generic queuing mechanism PgQ and utility library for Python
 scripts.

Package: python-skytools3
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-psycopg2
Description: python framework for Skype tools for PostgreSQL replication
 This is a package of tools in use in Skype for replication and failover.
 It contains the Skytools' python framework for scripting against a
 PostgreSQL database, which is used by londiste, walmgr and PGQ.

Package: skytools3-walmgr
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, python-skytools3
Enhances: postgresql-8.4, postgresql-9.0, postgresql-9.1, postgresql-9.2, postgresql-9.3
Description: Skype tools for PostgreSQL replication and failover
 This is a package of tools in use in Skype for replication and failover.
 It's the WAL Shipping part of it (binary cluster-wide replication).

Package: skytools3-ticker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ ticker used by Skype replication, londiste. It consists of
 PL/pgsql, and C code in database, with Python framework on top of it.  It
 is based on snapshot based event handling ideas from Slony-I, written for
 general usage.

Package: postgresql-8.4-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-8.4
Provides: skytools-modules
Conflicts: skytools-modules-8.4
Replaces: skytools-modules-8.4
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ extension used by Skype replication, londiste. It consists
 of PL/pgsql, and C code in database.

Package: postgresql-9.0-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.0
Provides: skytools-modules
Conflicts: skytools-modules-9.0
Replaces: skytools-modules-9.0
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ extension used by Skype replication, londiste. It consists
 of PL/pgsql, and C code in database.

Package: postgresql-9.1-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.1
Provides: skytools-modules
Conflicts: skytools-modules-9.1
Replaces: skytools-modules-9.1
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ extension used by Skype replication, londiste. It consists
 of PL/pgsql, and C code in database.

Package: postgresql-9.2-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.2
Provides: skytools-modules
Conflicts: skytools-modules-9.2
Replaces: skytools-modules-9.2
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ extension used by Skype replication, londiste. It consists
 of PL/pgsql, and C code in database.

Package: postgresql-9.3-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
Provides: skytools-modules
Conflicts: skytools-modules-9.3
Replaces: skytools-modules-9.3
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ extension used by Skype replication, londiste. It consists
 of PL/pgsql, and C code in database.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRCDIR      = $(CURDIR)
PKGVERS     = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
ORIG_EXCLUDE=--exclude-vcs --exclude=debian

PG_BUILDEXT = pg_buildext

include /usr/share/postgresql-common/pgxs_debian_control.mk

config.mak:
	./autogen.sh
	./configure --prefix=/usr --with-asciidoc --with-sk3-subdir

override_dh_auto_configure: config.mak

override_dh_auto_clean: config.mak
	$(MAKE) -C doc realclean
	dh_auto_clean -- distclean
	rm -rf build.sk3 lib/usual/config.h scripts/*.pyc sql/pgq/*/*.so* python/skytools/installer_config.py
	for version in `cat $(CURDIR)/debian/pgversions`; do \
		rm -rf "debian/postgresql-$${version}-pgq3"; \
	done
	# manually add plpython dependencies for autopkgtest (we could
	# probably make postgresql-*-pgq3 depend on postgresql-plpython-*, but
	# that's not needed for basic operation)
	sed -i -e "s/postgresql-plpython.*/postgresql-plpython/" debian/tests/control
	for version in $$(pg_buildext supported-versions) ; do \
		sed -i -e "s/postgresql-plpython/postgresql-plpython, postgresql-plpython-$$version/" debian/tests/control ; \
	done

# build sql modules for several postgres versions
override_dh_auto_install: config.mak
	mkdir -p $(CURDIR)/debian/tmp
	dh_auto_install
	$(MAKE) -C doc htmlinstall DESTDIR=$(CURDIR)/debian/tmp
	# now care about any previous supported versions
	for version in $$($(PG_BUILDEXT) supported-versions $(CURDIR)); do \
		echo "### Building for PostgreSQL $$version" && \
		make -C sql clean install \
			PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config \
			DESTDIR=$(CURDIR)/debian/tmp \
		|| exit 1 ; \
	done


orig: config.mak
	rm -rf dist
	make tgz
	mv dist/*.tar.gz ../skytools3_$(PKGVERS).orig.tar.gz

%:
	dh $@

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-plpython, postgresql-plpython-9.3, postgresql-plpython-9.2, postgresql-plpython-9.1, postgresql-plpython-9.0, postgresql-plpython-8.4
Tests: installcheck
Restrictions: needs-root build-needed allow-stderr

## skytools3 3.2

=== sql/londiste/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 EXTENSION = londiste
 
-EXT_VERSION = 3.1.4
-EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.3
+EXT_VERSION = 3.2
+EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.3 3.1.4 3.1.6
 
 base_regress = londiste_provider londiste_subscriber \
 	       londiste_fkeys londiste_execute londiste_seqs londiste_merge \

=== sql/pgq/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 EXTENSION = pgq
 
-EXT_VERSION = 3.1.3
-EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.2
+EXT_VERSION = 3.2
+EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.2 3.1.3 3.1.6
 
 DOCS = README.pgq

=== sql/pgq_node/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 EXTENSION = pgq_node
 
-EXT_VERSION = 3.1.3
-EXT_OLD_VERSIONS = 3.1
+EXT_VERSION = 3.2
+EXT_OLD_VERSIONS = 3.1 3.1.3 3.1.6
 
 Extension_regress = pgq_node_init_ext   pgq_node_test
 Contrib_regress   = pgq_node_init_noext pgq_node_test

=== sql/ticker/Makefile ===

include ../../config.mak

SRCS = pgqd.c maint.c ticker.c retry.c
LOCAL_HDRS = pgqd.h

USUAL_DIR = ../../lib
USUAL_OBJDIR = .
USUAL_LOCAL_SRCS = $(SRCS) $(LOCAL_HDRS)
include $(USUAL_DIR)/Setup.mk

PROGRAM = pgqd

HDRS = $(LOCAL_HDRS) $(USUAL_HDRS)

PG_INCDIR = $(shell $(PG_CONFIG) --includedir)
PG_LIBDIR = $(shell $(PG_CONFIG) --libdir)

OBJS = $(SRCS:.c=.o) $(USUAL_OBJS)

CPPFLAGS += $(USUAL_CPPFLAGS) -I$(PG_INCDIR)
LDFLAGS += -L$(PG_LIBDIR)
LIBS += -lpq -lm

all: $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS) $(LIBS)

$(OBJS): $(HDRS)

%.o: $(USUAL_DIR)/usual/%.c $(USUAL_HDRS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(DEFS) -c -o $@ $<

pgqd.o: pgqd.ini.h
pgqd.ini.h: pgqd.ini
	sed -e 's/.*/"&\\n"/' $< > $@

install: all
	mkdir -p '$(DESTDIR)$(bindir)'
	$(BININSTALL) -m 755 pgqd$(X) '$(DESTDIR)$(bindir)/pgqd'
	mkdir -p '$(DESTDIR)$(docdir)/conf'
	$(INSTALL) -m 644 pgqd.ini '$(DESTDIR)$(docdir)/conf/pgqd.ini.templ'

clean:
	rm -f $(PROGRAM) $(OBJS) pgqd.ini.h

tags:
	ctags *.[ch] ../../lib/usual/*.[ch]

distclean: clean
installcheck:

=== debian/changelog ===
skytools3 (3.2-2) unstable; urgency=medium

  * Remove /var/{log,run}/skytools on purge. Spotted by piuparts.
  * Move to dh-python2. Suggested by lintian.

 -- Christoph Berg <myon@debian.org>  Wed, 13 Aug 2014 23:44:01 +0200

skytools3 (3.2-1) unstable; urgency=medium

  * Build against PostgreSQL 9.4.
  * New upstream version.
  * Set team as maintainer.
  * Use "all" in debian/pgversions and B-D on pg-server-dev-all 148.
  * Generate debian/postgresql-*-pgq3.* at build time.
  * Pull a0f3c0e169ad19ab8486bbb95855132550f905c2 from upstream to fix
    londiste regression tests.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Jul 2014 00:22:12 +0200

=== debian/control ===
Source: skytools3
Section: database
Priority: extra
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, autoconf (>= 2.65), automake, libtool, libevent-dev,
  python-all-dev (>= 2.6.6-3~), dh-python, python-psycopg2,
  xmlto, asciidoc,
  libpq-dev, postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.5
Homepage: http://wiki.postgresql.org/wiki/Skytools
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/skytools3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/skytools3.git
XS-Testsuite: autopkgtest

Package: skytools3
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, python-pgq3, adduser
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is a package of tools in use in Skype for replication and failover. It
 contains the Londiste and PGQ services and scripts to run.

Package: python-pgq3
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-skytools3, python-psycopg2
Description: python framework for Skype tools for PostgreSQL replication
 This is a package of tools in use in Skype for replication and failover.
 It includes a generic queuing mechanism PgQ and utility library for Python
 scripts.

Package: python-skytools3
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-psycopg2
Description: python framework for Skype tools for PostgreSQL replication
 This is a package of tools in use in Skype for replication and failover.
 It contains the Skytools' python framework for scripting against a
 PostgreSQL database, which is used by londiste, walmgr and PGQ.

Package: skytools3-walmgr
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, python-skytools3
Enhances: postgresql-8.4, postgresql-9.0, postgresql-9.1, postgresql-9.2,
 postgresql-9.3, postgresql-9.4
Description: Skype tools for PostgreSQL replication and failover
 This is a package of tools in use in Skype for replication and failover.
 It's the WAL Shipping part of it (binary cluster-wide replication).

Package: skytools3-ticker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ ticker used by Skype replication, londiste. It consists of
 PL/pgsql, and C code in database, with Python framework on top of it.  It
 is based on snapshot based event handling ideas from Slony-I, written for
 general usage.

Package: postgresql-9.4-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.4
Provides: skytools-modules
Conflicts: skytools-modules-9.4
Replaces: skytools-modules-9.4
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ extension used by Skype replication, londiste. It consists
 of PL/pgsql, and C code in database.

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-plpython, postgresql-plpython-9.4
Tests: installcheck
Restrictions: needs-root build-needed allow-stderr

## skytools3 3.2.6

=== Makefile ===

-include config.mak

PYTHON ?= python

pyver = $(shell $(PYTHON) -V 2>&1 | sed 's/^[^ ]* \([0-9]*\.[0-9]*\).*/\1/')

SUBDIRS = sql doc

# modules that use doctest for regtests
DOCTESTMODS = skytools.quoting skytools.parsing skytools.timeutil \
	   skytools.sqltools skytools.querybuilder skytools.natsort \
	   skytools.utf8 skytools.sockutil skytools.fileutil \
	   londiste.exec_attrs


all: python-all sub-all config.mak

install: sub-install python-install
distclean: sub-distclean
sub-all sub-install sub-clean sub-distclean:
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $(subst sub-,,$@) DESTDIR=$(DESTDIR) || exit $?; \
	done

.PHONY: sub-all sub-clean sub-install sub-distclean

python-all: config.mak
	$(PYTHON) setup_skytools.py build

clean: sub-clean
	$(PYTHON) setup_skytools.py clean
	rm -rf build build.sk3
	find python -name '*.py[oc]' -print | xargs rm -f
	rm -f python/skytools/installer_config.py source.list
	rm -rf tests/londiste/sys
	rm -rf tests/londiste/file_logs
	rm -rf tests/londiste/fix.*
	rm -rf tests/scripts/sys


installcheck:
	$(MAKE) -C sql installcheck

modules-install: config.mak
	$(MAKE) -C sql install DESTDIR=$(DESTDIR)
	test \! -d compat || $(MAKE) -C compat $@ DESTDIR=$(DESTDIR)

SITEDIR = site-packages

python-install: config.mak
	$(PYTHON) setup_pkgloader.py install --prefix=$(prefix) --root=$(DESTDIR)/ $(BROKEN_PYTHON)
	$(PYTHON) setup_skytools.py install --prefix=$(prefix) --root=$(DESTDIR)/ $(BROKEN_PYTHON)
	$(MAKE) -C doc DESTDIR=$(DESTDIR) install

realclean: distclean
	$(MAKE) -C doc $@
	$(MAKE) distclean

distclean: sub-distclean
	rm -rf source.list dist skytools-*
	find python -name '*.pyc' | xargs rm -f
	rm -rf dist build
	rm -rf autom4te.cache config.log config.status config.mak

deb:
	rm -f debian/control
	make -f debian/rules debian/control
	debuild -uc -us -b

tgz: config.mak clean
	$(MAKE) -C doc man
	rm -f source.list
	$(PYTHON) setup_skytools.py sdist -t source.cfg -m source.list

debclean: clean
	rm -rf debian/tmp-* debian/build* debian/packages-tmp*
	rm -f debian/files debian/sub* debian/packages
	grep-dctrl -vP PGVER debian/control.in > debian/control

boot: configure

configure: configure.ac lib/m4/usual.m4
	./autogen.sh

tags:
	ctags `find python -name '*.py'`

check:
	./misc/docheck.sh

# workaround for Debian's broken python
debfix:
	@$(PYTHON) setup_skytools.py install --help | grep -q install-layout \
	&& echo BROKEN_PYTHON=--install-layout=deb || echo 'WORKING_PYTHON=found'

.PHONY: all clean distclean install deb debclean tgz tags
.PHONY: python-all python-clean python-install check test

test:
	@cd python; for m in $(DOCTESTMODS); do \
		printf "%-22s ... " $$m; \
		$(PYTHON) -m $$m && echo "ok" || { echo "FAIL"; exit 1; }; \
	done

=== doc/Makefile ===

include ../config.mak

web = mkz@pgf:/home/pgfoundry.org/groups/skytools/htdocs/skytools-3.0

EPYDOC = epydoc
EPYARGS = --no-private --url="http://pgfoundry.org/projects/skytools/" \
	--name="Skytools" --html --no-private -v

TOPHTML = README.html INSTALL.html index.html
DOCHTML = \
	TODO.html pgq-sql.html pgq-nodupes.html \
	faq.html set.notes.html skytools3.html devnotes.html pgqd.html \
	londiste3.html walmgr3.html qadmin.html scriptmgr.html \
	sql-grants.html \
	skytools_upgrade.html queue_mover3.html queue_splitter3.html \
	simple_consumer3.html simple_local_consumer3.html \
	howto/londiste3_cascaded_rep_howto.html \
	howto/londiste3_merge_howto.html \
	howto/londiste3_partitioning_howto.html \
	howto/londiste3_simple_rep_howto.html \
	howto/setup_walmgr_replication.html


MAN5 =
MAN1_SFX = scriptmgr.1 skytools_upgrade.1
MAN1 = qadmin.1 pgqd.1 walmgr3.1 londiste3.1 simple_consumer3.1 simple_local_consumer3.1 \
       queue_mover3.1 queue_splitter3.1

FQHTML = $(addprefix html/doc/, $(DOCHTML)) $(addprefix html/, $(TOPHTML))
FQMAN1 = $(addprefix man/, $(MAN1))
FQMAN1_SFX = $(addprefix man/, $(MAN1_SFX))
FQMAN5 = $(addprefix man/, $(MAN5))
FQMAN = $(FQMAN1) $(FQMAN1_SFX) $(FQMAN5)

COMMON = common.switches.txt common.config.txt

GETATTRS = $(PYTHON) ../misc/getattrs.py
FIXMAN = $(PYTHON) ../misc/fixman.py

#AFLAGS = -a linkcss
#AFLAGS = -a stylesheet=extra.css

all: $(FQMAN)

man: $(FQMAN)

html: $(FQHTML)

install: $(FQMAN)
	mkdir -p $(DESTDIR)/$(mandir)/man1
	mkdir -p $(DESTDIR)/$(mandir)/man5
	mkdir -p $(DESTDIR)/$(docdir)
	for m in $(FQMAN1_SFX); do \
	  xf="`basename $$m | sed 's/[.]/$(SUFFIX)./'`"; \
	  install -m 644 $$m $(DESTDIR)/$(mandir)/man1/$$xf || exit 1; \
	done
	for m in $(FQMAN1); do \
	  install -m 644 $$m $(DESTDIR)/$(mandir)/man1 || exit 1; \
	done
	for m in $(FQMAN5); do \
	  install -m 644 $$m $(DESTDIR)/$(mandir)/man5 || exit 1; \
	done

htmlinstall: $(FQHTML)
	for h in $(FQHTML); do \
	  install -m 644 $$h $(DESTDIR)/$(docdir) || exit 1; \
	done

PY_PKGS = skytools pgq londiste

#	skytools.config skytools.dbstruct skytools.gzlog \
#	skytools.quoting skytools.scripting skytools.sqltools \
#	pgq pgq.consumer pgq.event pgq.maint pgq.producer pgq.status pgq.ticker \
#	londiste londiste.compare londiste.file_read londiste.file_write \
#	londiste.installer londiste.playback londiste.repair londiste.setup \
#	londiste.syncer londiste.table_copy

apidoc:
	rm -rf html/api
	mkdir -p html/api
	cd ../python && $(EPYDOC) $(EPYARGS) -o ../doc/html/api $(PY_PKGS)
	cd ../sql/pgq && rm -rf docs/html && $(MAKE) dox && cp -rp docs/html ../../doc/html/pgq
	cd ../sql/pgq_coop && rm -rf docs/html && $(MAKE) dox && cp -rp docs/html ../../doc/html/pgq_coop
	cd ../sql/pgq_node && rm -rf docs/html && $(MAKE) dox && cp -rp docs/html ../../doc/html/pgq_node
	cd ../sql/londiste && rm -rf docs/html && $(MAKE) dox && cp -rp docs/html ../../doc/html/londiste
	cd ../sql/pgq_ext && rm -rf docs/html && $(MAKE) dox && cp -rp docs/html ../../doc/html/pgq_ext

apiupload: apidoc
	-rsync -rtlz api/* $(web)/api
	-rsync -rtlz ../sql/pgq/docs/html/* $(web)/pgq/
	-rsync -rtlz ../sql/pgq_coop/docs/html/* $(web)/pgq_coop/
	-rsync -rtlz ../sql/pgq_node/docs/html/* $(web)/pgq_node/
	-rsync -rtlz ../sql/londiste/docs/html/* $(web)/londiste/

clean:
	rm -rf html *.xml api

distclean: clean
	rm -rf ../sql/pgq/docs/pgq

realclean: distclean
	rm -rf man *.xml *.html

ifneq ($(ASCIIDOC),no)
ifneq ($(XMLTO),no)
man/%.xml: %.txt $(COMMON)
	@mkdir -p man
	$(ASCIIDOC) -b docbook -d manpage `$(GETATTRS) $<` -o $@ $<

man/%.1: man/%.xml
	@mkdir -p man
	$(XMLTO) -o man man $<
endif

html/doc/%.html: %.txt $(COMMON)
	@mkdir -p $(dir $@)
	LANG=C cat $< \
	| sed -e '/^include/b' -e 's,\([A-Za-z.0-9]*\)[.]txt,link:\1.html[],g' \
	| $(ASCIIDOC) $(AFLAGS) -a toc `$(GETATTRS) $<` -o - - \
	| sed -e "/^[/][*] Workarounds/r ../misc/extra.css" \
	> $@

html/README.html: ../README
	@mkdir -p $(dir $@)
	cat $< \
	| sed -e 's,doc/\([!-~]*\)[.]txt,link:\1.html[],g' \
	      -e 's,http:[!-~]*,&[],g' \
	| $(ASCIIDOC) $(AFLAGS) -a toc -o - - \
	| sed -e "/^[/][*] Workarounds/r ../misc/extra.css" \
	> $@

html/INSTALL.html: ../INSTALL
	@mkdir -p $(dir $@)
	$(ASCIIDOC) $(AFLAGS) -o - $< \
	| sed -e "/^[/][*] Workarounds/r ../misc/extra.css" \
	> $@

html/index.html: index.txt
	@mkdir -p $(dir $@)
	$(ASCIIDOC) $(AFLAGS) -o - $< \
	| sed -e "/^[/][*] Workarounds/r ../misc/extra.css" \
	> $@
endif

web: $(FQHTMLS)
	rsync -avz html/* $(web)/

=== lib/Makefile ===

AM_CPPFLAGS = -I$(builddir) -I$(srcdir)

# main target
lib_LIBRARIES = libusual.a

# sources that are not always built
EXTRA_libusual_a_SOURCES = usual/pgsocket.h usual/pgsocket.c

# sources not in tar.gz
nodist_EXTRA_libusual_a_SOURCES = usual/config.h

# regular source files
libusual_a_SOURCES = usual/config.h.in \
	usual/aatree.h usual/aatree.c \
	usual/base.h usual/base.c usual/base_win32.h \
	usual/bits.h \
	usual/cbtree.h usual/cbtree.c \
	usual/cfparser.h usual/cfparser.c \
	usual/config_msvc.h \
	usual/crypto/digest.h usual/crypto/digest.c \
	usual/crypto/hmac.h usual/crypto/hmac.c \
	usual/crypto/keccak.h usual/crypto/keccak.c \
	usual/crypto/md5.h usual/crypto/md5.c \
	usual/crypto/sha1.h usual/crypto/sha1.c \
	usual/crypto/sha256.h usual/crypto/sha256.c \
	usual/crypto/sha512.h usual/crypto/sha512.c \
	usual/ctype.h \
	usual/cxalloc.h usual/cxalloc.c \
	usual/cxextra.h usual/cxextra.c \
	usual/daemon.h usual/daemon.c \
	usual/endian.h \
	usual/err.h usual/err.c \
	usual/event.h usual/event.c \
	usual/fileutil.h usual/fileutil.c \
	usual/fnmatch.h usual/fnmatch.c \
	usual/getopt.h usual/getopt.c \
	usual/hashing/crc32.h usual/hashing/crc32.c \
	usual/hashing/lookup3.h usual/hashing/lookup3.c \
	usual/hashing/siphash.h usual/hashing/siphash.c \
	usual/hashtab-impl.h \
	usual/heap.h usual/heap.c \
	usual/list.h usual/list.c \
	usual/logging.h usual/logging.c \
	usual/mbuf.h usual/mbuf.c \
	usual/mdict.h usual/mdict.c \
	usual/mempool.h usual/mempool.c \
	usual/misc.h \
	usual/netdb.h usual/netdb.c \
	usual/pgutil.h usual/pgutil.c usual/pgutil_kwlookup.h \
	usual/pthread.h usual/pthread.c \
	usual/regex.h usual/regex.c \
	usual/safeio.h usual/safeio.c \
	usual/shlist.h \
	usual/signal.h usual/signal.c \
	usual/slab.h usual/slab.c \
	usual/socket.h usual/socket.c usual/socket_ntop.c usual/socket_pton.c usual/socket_win32.h \
	usual/statlist.h \
	usual/string.h usual/string.c \
	usual/strpool.h usual/strpool.c \
	usual/time.h usual/time.c \
	usual/utf8.h usual/utf8.c \
	usual/wchar.h usual/wchar.c

# we want to filter headers, so cannot use usual install method via _HEADERS
USUAL_HEADERS = $(filter %.h,$(libusual_a_SOURCES) $(nodist_EXTRA_libusual_a_SOURCES))

# define aclocal destination
aclocaldir = ${datarootdir}/aclocal
AM_DESTINATIONS = aclocal

# other files
dist_pkgdata_SCRIPTS = find_modules.sh
dist_aclocal_DATA = m4/usual.m4 m4/antimake.m4

# test program for link-test
noinst_PROGRAMS = test/compile
test_compile_SOURCES = test/compile.c
test_compile_LDADD = libusual.a

# extra clean files
DISTCLEANFILES = config.log build.mk config.status libtool config.mak
MAINTAINERCLEANFILES = build.mk.in configure install-sh ltmain.sh config.sub config.guess

# files for .tgz that are not mentioned in sources
EXTRA_DIST = $(MAINTAINERCLEANFILES)

# we dont build test subdir by default, but want to include in .tgz
DIST_SUBDIRS = test

# non-recursive subdir
EMBED_SUBDIRS = mk

#
# Launch Antimake
#
include build.mk

# filter headers when installing
install-local:
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual/hashing
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual/crypto
	@for hdr in $(USUAL_HEADERS); do \
		echo Filtering $$hdr; \
		$(SED) -f mk/safe-headers.sed $$hdr \
		> $(DESTDIR)$(includedir)/$$hdr; \
	done

# Give proper error message
build.mk:
	@echo "Please run ./configure first"
	@exit 1

%.pc: %.pc.in config.status
	./config.status --file $@

# run sparse over code
sparse: config.mak
	REAL_CC="$(CC)" \
	$(MAKE) clean libusual.a CC="cgcc -Wsparse-all -Wno-transparent-union"

# generate api documentation
dox:
	rm -rf doc/html/mk
	#rm -rf mk/temos/html
	doxygen doc/Doxyfile
	$(MAKE) -C mk/temos html
	cp -rp mk/temos/html doc/html/mk

#
# rest is for pgutil_kwlookup generation
#

PG_CONFIG ?= pg_config
KWLIST = $(shell $(PG_CONFIG) --includedir-server)/parser/kwlist.h
GPERF = gperf -m5

# requires 8.4+
kws:
	@test -f "$(KWLIST)" || { echo "kwlist.h not found"; exit 1; }
	grep '^PG_KEYWORD' "$(KWLIST)" \
	| grep -v UNRESERVED \
	| sed 's/.*"\(.*\)",.*, *\(.*\)[)].*/\1/' \
	>> usual/pgutil_kwlookup.gp

kwh:
	$(GPERF) usual/pgutil_kwlookup.g \
	| sed '/^#line/d' \
	> usual/pgutil_kwlookup.h

sizes: all
	size `find .objs -name '.libs' -prune -o -name '*.o' -print | sort`

%.s: %.c
	$(CC) -S $(DEFS) $(CFLAGS) $(CPPFLAGS) -I. $< -o - | cleanasm > $@

=== sql/Makefile ===

include ../config.mak

SUBDIRS = londiste pgq pgq_coop pgq_ext pgq_node ticker txid

all install clean distclean installcheck test:
	for dir in $(SUBDIRS); do \
	  $(MAKE) -C $$dir $@ \
		DESTDIR="$(DESTDIR)" \
		PG_CONFIG="$(PG_CONFIG)" \
		PG_CPPFLAGS="$(PG_CPPFLAGS)" \
		PYTHON="$(PYTHON)" \
	  || exit $?; \
	done

=== upgrade/Makefile ===

#SQLS = v2.1.5_londiste.sql  v2.1.5_pgq_core.sql  v2.1.5_pgq_ext.sql
#SQLS = v2.1.6_londiste.sql  v2.1.6_pgq_ext.sql
#SQLS = v3.0_pgq_core.sql
#SQLS = londiste.upgrade_2.1_to_3.1.sql

SRCS = $(addprefix src/, $(SQLS))
DSTS = $(addprefix final/, $(SQLS))

CATSQL = $(PYTHON) ../scripts/catsql.py

all: $(DSTS)

final/%.sql: src/%.sql
	$(CATSQL) $< > $@

final/londiste.upgrade_2.1_to_3.1.sql: src/londiste.2to3.sql ../sql/londiste/londiste.sql
	echo "begin;" > $@
	cat src/londiste.2to3.sql >> $@
	grep -v 'create schema' ../sql/londiste/londiste.sql >> $@
	echo "commit;" >> $@

PSQL = psql -q

ltest: ../sql/pgq_node/pgq_node.sql
	$(PSQL) -d postgres -c "drop database if exists londiste_upgrade_test"
	$(PSQL) -d postgres -c "create database londiste_upgrade_test"
	$(PSQL) -d londiste_upgrade_test -f final/pgq_core_2.1.13.sql
	$(PSQL) -d londiste_upgrade_test -f final/londiste.2.1.12.sql
	$(PSQL) -d londiste_upgrade_test -f final/pgq.upgrade_2.1_to_3.0.sql
	$(PSQL) -d londiste_upgrade_test -f ../sql/pgq_node/pgq_node.sql
	$(PSQL) -d londiste_upgrade_test -f final/londiste.upgrade_2.1_to_3.1.sql

=== lib/test/Makefile ===

AM_FEATURES = libusual

SUBLOC = test
DIST_SUBDIRS = attregex

USUAL_DIR = $(abs_top_srcdir)

regtest_system_SOURCES = \
	test_string.c test_crypto.c test_aatree.c test_heap.c \
	test_common.c test_list.c tinytest.c test_cbtree.c \
	test_utf8.c test_strpool.c test_pgutil.c test_regex.c \
	test_cxalloc.c test_bits.c test_base.c test_netdb.c \
	test_cfparser.c test_endian.c test_hashtab.c test_mdict.c \
	test_shlist.c test_time.c test_hashing.c test_fileutil.c \
	test_socket.c test_getopt.c test_ctype.c test_fnmatch.c \
	test_wchar.c \
	test_common.h tinytest.h tinytest_macros.h

# build regtest_system against actual library
regtest_system_LDADD = ../libusual.a
regtest_system_LDFLAGS =
regtest_system_CPPFLAGS = -I.. -I.

# build regtest_compat as embedded project
regtest_compat_EMBED_LIBUSUAL = 1
regtest_compat_CPPFLAGS := -I.. -I. -DUSUAL_TEST_CONFIG
regtest_compat_LDFLAGS =
regtest_compat_SOURCES := $(regtest_system_SOURCES)
nodist_regtest_compat_SOURCES = test_config.h

EXTRA_DIST = Makefile tinytest_demo.c force_compat.sed test_cfparser.ini

noinst_PROGRAMS = regtest_system
EXTRA_PROGRAMS = regtest_compat

include ../build.mk

test_config.h: force_compat.sed ../usual/config.h
	$(E) "	GEN-COMPAT" $@
	$(Q) sed -f $^ > $@

clean: clean-local

clean-local:
	$(Q) $(RM) -r fmod_test

=== sql/conflicthandler/Makefile ===

REGRESS = test_merge
REGRESS_OPTS = --load-language=plpgsql --load-language=plpythonu

PG_CONFIG = pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

test:
	make installcheck || { less regression.diffs ; exit 1; }

ack:
	cp results/* expected/

=== sql/dispatch/Makefile ===

REGRESS = test_create_part
REGRESS_OPTS = --load-language=plpgsql --load-language=plpythonu

PG_CONFIG = pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

test:
	make installcheck || { less regression.diffs ; exit 1; }

ack:
	cp results/* expected/

=== sql/logtriga/Makefile ===

MODULE_big = logtriga
SRCS = logtriga.c textbuf.c
OBJS = $(SRCS:.c=.o)
DATA_built = logtriga.sql

REGRESS = logtriga

PG_CONFIG = pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

test: install
	make installcheck || { less regression.diffs; exit 1; }

=== sql/londiste/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 EXTENSION = londiste
 
-EXT_VERSION = 3.2
-EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.3 3.1.4 3.1.6
+EXT_VERSION = 3.2.4
+EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.3 3.1.4 3.1.6 3.2 3.2.3
 
 base_regress = londiste_provider londiste_subscriber \
 	       londiste_fkeys londiste_execute londiste_seqs londiste_merge \

=== sql/pgq/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 EXTENSION = pgq
 
-EXT_VERSION = 3.2
-EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.2 3.1.3 3.1.6
+EXT_VERSION = 3.2.6
+EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.2 3.1.3 3.1.6 3.2 3.2.3
 
 DOCS = README.pgq

=== sql/pgq_coop/Makefile ===

EXTENSION = pgq_coop

EXT_VERSION = 3.1.1
EXT_OLD_VERSIONS = 3.1

Contrib_regress   = pgq_coop_init_noext pgq_coop_test
Extension_regress = pgq_coop_init_ext   pgq_coop_test

include ../common-pgxs.mk

#
# docs
#
dox: cleandox $(SRCS)
	mkdir -p docs/html
	mkdir -p docs/sql
	$(CATSQL) --ndoc structure/functions.sql > docs/sql/functions.sql
	$(NDOC) $(NDOCARGS)

=== debian/changelog ===
skytools3 (3.2.6-5) unstable; urgency=medium

  * Team upload with 9.6 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 28 Sep 2016 10:56:20 +0200

skytools3 (3.2.6-4) unstable; urgency=medium

  * Build for PostgreSQL 9.5.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jan 2016 21:49:04 +0100

skytools3 (3.2.6-3) unstable; urgency=medium

  * Install missing skytools_upgrade3 command and manpage

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 04 Mar 2015 07:38:26 +0100

skytools3 (3.2.6-2) unstable; urgency=medium

  * Change the init script to create transient data directories owned by
    the user running the daemon

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 02 Mar 2015 17:41:48 +0100

skytools3 (3.2.6-1) unstable; urgency=medium

  * New upstream version.
  * Updated watch file. Github repository is the authoritative source.
  * Remove upstream patch a0f3c0e169ad19ab8486bbb95855132550f905c2
  * Configure git-buildpackage to work with submodules.
  * debian/control: Add myself to Uploaders field
  * Updated Standards-Version to 3.9.6 (no changes)
  * Add tests-invalid-echo.patch: Fix invalid "off" value for \set ECHO to
    "none". Fixes test regression with PostgreSQL 9.4.1.
    Thanks to Martin Pitt <martin.pitt@ubuntu.com> (Closes: 777524)
  * Add tests-ticker-missing-installcheck.patch: Fix missing installcheck
    target in ticker Makefile

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 27 Feb 2015 16:03:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: database
 Priority: extra
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
+Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, autoconf (>= 2.65), automake, libtool, libevent-dev,
   python-all-dev (>= 2.6.6-3~), dh-python, python-psycopg2,
   xmlto, asciidoc,
   libpq-dev, postgresql-server-dev-all (>= 148~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://wiki.postgresql.org/wiki/Skytools
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/skytools3.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/skytools3.git
@@ -57,12 +57,12 @@
  is based on snapshot based event handling ideas from Slony-I, written for
  general usage.
 
-Package: postgresql-9.4-pgq3
+Package: postgresql-9.6-pgq3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.4
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
 Provides: skytools-modules
-Conflicts: skytools-modules-9.4
-Replaces: skytools-modules-9.4
+Conflicts: skytools-modules-9.6
+Replaces: skytools-modules-9.6
 Description: Skype tools for PostgreSQL replication, londiste and PGQ
  This is the PGQ extension used by Skype replication, londiste. It consists
  of PL/pgsql, and C code in database.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR      = $(CURDIR)
PKGVERS     = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
ORIG_EXCLUDE=--exclude-vcs --exclude=debian

include /usr/share/postgresql-common/pgxs_debian_control.mk

config.mak:
	./autogen.sh
	./configure --prefix=/usr --with-asciidoc --with-sk3-subdir
	set -e; for v in $$(pg_buildext supported-versions $(CURDIR)); do \
		echo "usr/share/doc/postgresql-$$v" > debian/postgresql-$$v-pgq3.dirs; \
		echo "sql/pgq/README.pgq" > debian/postgresql-$$v-pgq3.docs; \
		echo "sql/pgq_ext/README.pgq_ext" >> debian/postgresql-$$v-pgq3.docs; \
		echo "usr/lib/postgresql/$$v/lib/pgq_triggers.so" > debian/postgresql-$$v-pgq3.install; \
		echo "usr/lib/postgresql/$$v/lib/pgq_lowlevel.so" >> debian/postgresql-$$v-pgq3.install; \
		echo "usr/share/postgresql/$$v/contrib" >> debian/postgresql-$$v-pgq3.install; \
		expr $$v \>= 9.1 && echo "usr/share/postgresql/$$v/extension" >> debian/postgresql-$$v-pgq3.install; \
	done

override_dh_auto_configure: config.mak

override_dh_auto_clean: config.mak
	$(MAKE) -C doc realclean
	dh_auto_clean -- distclean
	rm -rf build.sk3 lib/usual/config.h scripts/*.pyc sql/ticker/lib/usual/*.o.d sql/pgq/*/*.so* python/skytools/installer_config.py
	rm -rf "debian/postgresql-*-pgq3"
	# manually add plpython dependencies for autopkgtest (we could
	# probably make postgresql-*-pgq3 depend on postgresql-plpython-*, but
	# that's not needed for basic operation)
	sed -i -e "s/postgresql-plpython.*/postgresql-plpython/" debian/tests/control
	for v in $$(pg_buildext supported-versions) ; do \
		sed -i -e "s/postgresql-plpython/postgresql-plpython, postgresql-plpython-$$v/" debian/tests/control ; \
	done

# build sql modules for several postgres versions
override_dh_auto_install: config.mak
	mkdir -p $(CURDIR)/debian/tmp
	dh_auto_install
	$(MAKE) -C doc htmlinstall DESTDIR=$(CURDIR)/debian/tmp
	# now care about any previous supported versions
	for v in $$(pg_buildext supported-versions $(CURDIR)); do \
		echo "### Building for PostgreSQL $$v" && \
		make -C sql clean install \
			PG_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config \
			DESTDIR=$(CURDIR)/debian/tmp \
		|| exit 1 ; \
	done


orig: config.mak
	rm -rf dist
	make tgz
	mv dist/*.tar.gz ../skytools3_$(PKGVERS).orig.tar.gz

%:
	dh $@ --with python2

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-plpython, postgresql-plpython-9.6
Tests: installcheck
Restrictions: needs-root build-needed allow-stderr
